commit:     e2b34a5ab4a3e309a07bf25ad59696ee9fe8c57e
Author:     Horea Christian <h.chr <AT> mail <DOT> ru>
AuthorDate: Tue Oct  6 19:24:31 2015 +0000
Commit:     Justin Lecher <jlec <AT> gentoo <DOT> org>
CommitDate: Wed Oct  7 12:24:02 2015 +0000
URL:        https://gitweb.gentoo.org/proj/sci.git/commit/?id=e2b34a5a

dev-python/matplotlib-venn: removed test phase (upstream archive does not 
provide test scripts)

Package-Manager: portage-2.2.22

 dev-python/matplotlib-venn/ChangeLog                        |  7 +++++++
 dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild      | 13 ++-----------
 ...plotlib-venn-0.11.ebuild => matplotlib-venn-9999.ebuild} |  9 ++++++---
 3 files changed, 15 insertions(+), 14 deletions(-)

diff --git a/dev-python/matplotlib-venn/ChangeLog 
b/dev-python/matplotlib-venn/ChangeLog
index 869ff30..64c867c 100644
--- a/dev-python/matplotlib-venn/ChangeLog
+++ b/dev-python/matplotlib-venn/ChangeLog
@@ -2,6 +2,13 @@
 # Copyright 1999-2015 Gentoo Foundation; Distributed under the GPL v2
 # $Id$
 
+*matplotlib-venn-9999 (06 Oct 2015)
+
+  06 Oct 2015; Horea Christian <[email protected]> +matplotlib-venn-9999.ebuild,
+  matplotlib-venn-0.11.ebuild:
+  dev-python/matplotlib-venn: removed test phase (upstream archive does not
+  provide test scripts)
+
   06 Oct 2015; Horea Christian <[email protected]> matplotlib-venn-0.11.ebuild:
   dev-python/matplotlib-venn: removed useless blank line
 

diff --git a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild 
b/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
index ddca55c..23db2ec 100644
--- a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
+++ b/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
@@ -10,7 +10,7 @@ inherit distutils-r1
 
 DESCRIPTION="Routines for plotting area-weighted two- and three-circle venn 
diagrams"
 HOMEPAGE="http://pysurfer.github.com";
-SRC_URI="'mirror://pypi/m/${PN}/${P}.zip"
+SRC_URI="mirror://pypi/m/${PN}/${P}.zip"
 
 LICENSE="MIT"
 SLOT="0"
@@ -21,13 +21,4 @@ RDEPEND="
        dev-python/matplotlib[${PYTHON_USEDEP}]
        dev-python/numpy[${PYTHON_USEDEP}]
        sci-libs/scipy[${PYTHON_USEDEP}]"
-DEPEND="test? (
-               ${RDEPEND}
-               dev-python/pytest[${PYTHON_USEDEP}]
-       )"
-
-python_test() {
-       distutils_install_for_testing
-       cd "${TEST_DIR}"/lib || die
-       py.test -v || die "Tests fail with ${EPYTHON}"
-}
+DEPEND=""

diff --git a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild 
b/dev-python/matplotlib-venn/matplotlib-venn-9999.ebuild
similarity index 76%
copy from dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
copy to dev-python/matplotlib-venn/matplotlib-venn-9999.ebuild
index ddca55c..608c13a 100644
--- a/dev-python/matplotlib-venn/matplotlib-venn-0.11.ebuild
+++ b/dev-python/matplotlib-venn/matplotlib-venn-9999.ebuild
@@ -6,11 +6,12 @@ EAPI="5"
 
 PYTHON_COMPAT=( python2_7 )
 
-inherit distutils-r1
+inherit distutils-r1 git-r3
 
 DESCRIPTION="Routines for plotting area-weighted two- and three-circle venn 
diagrams"
 HOMEPAGE="http://pysurfer.github.com";
-SRC_URI="'mirror://pypi/m/${PN}/${P}.zip"
+SRC_URI=""
+EGIT_REPO_URI="https://github.com/konstantint/matplotlib-venn";
 
 LICENSE="MIT"
 SLOT="0"
@@ -29,5 +30,7 @@ DEPEND="test? (
 python_test() {
        distutils_install_for_testing
        cd "${TEST_DIR}"/lib || die
-       py.test -v || die "Tests fail with ${EPYTHON}"
+       cp "${S}"/setup.py "${TEST_DIR}"/lib/ || die
+       cp -r "${S}"/tests "${TEST_DIR}"/lib/ || die
+       py.test || die "Tests fail with ${EPYTHON}"
 }

Reply via email to